org.eclipse.emf.compare.ide.ui.internal.treecontentmanager

## Class EMFCompareDeferredTreeContentManagerImpl

- java.lang.Object
- - org.eclipse.emf.compare.ide.ui.internal.treecontentmanager.EMFCompareDeferredTreeContentManagerImpl

All Implemented Interfaces:
  EMFCompareDeferredTreeContentManager

    public class EMFCompareDeferredTreeContentManagerImpl
    extends Object
    implements EMFCompareDeferredTreeContentManager

The default implementation of `EMFCompareDeferredTreeContentManager` forwards to `DeferredTreeContentManager`.

### Constructor Summary

Constructors
Constructor and Description
`EMFCompareDeferredTreeContentManagerImpl(org.eclipse.jface.viewers.AbstractTreeViewer viewer)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addUpdateCompleteListener(org.eclipse.core.runtime.jobs.IJobChangeListener listener)`
`Object[]` `getChildren(Object parent)`
`void` `removeUpdateCompleteListener(org.eclipse.core.runtime.jobs.IJobChangeListener listener)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EMFCompareDeferredTreeContentManagerImpl

    public EMFCompareDeferredTreeContentManagerImpl(org.eclipse.jface.viewers.AbstractTreeViewer viewer)

Constructor.

### Method Detail

#### addUpdateCompleteListener

    public void addUpdateCompleteListener(org.eclipse.core.runtime.jobs.IJobChangeListener listener)

Specified by:
  `addUpdateCompleteListener` in interface `EMFCompareDeferredTreeContentManager`
See Also:
  `DeferredTreeContentManager.addUpdateCompleteListener(IJobChangeListener)`

#### getChildren

    public Object[] getChildren(Object parent)

Specified by:
  `getChildren` in interface `EMFCompareDeferredTreeContentManager`
See Also:
  `DeferredTreeContentManager.getChildren(Object)`

#### removeUpdateCompleteListener

    public void removeUpdateCompleteListener(org.eclipse.core.runtime.jobs.IJobChangeListener listener)

Specified by:
  `removeUpdateCompleteListener` in interface `EMFCompareDeferredTreeContentManager`
See Also:
  `DeferredTreeContentManager.removeUpdateCompleteListener(IJobChangeListener)`